CREATE TABLE gl_purge_validation_gt (
    LEDGER_ID                     NUMBER(18, 0),
    PERIOD_NAME                   VARCHAR2(60) ,
    LEDGER_NAME                   VARCHAR2(120)    NOT NULL,
    EFFECTIVE_PERIOD_NUM          NUMBER(18, 0)    NOT NULL,
    FIRST_EFFECTIVE_PERIOD_NUM    NUMBER(18, 0)    NOT NULL,
    START_DATE                    DATE             NOT NULL,
    END_DATE                      DATE             NOT NULL,
    ROW_TYPE_CODE                 VARCHAR2(120)    NOT NULL,
    SECONDARY_LEDGER_ID           NUMBER(18, 0),
    SECONDARY_LEDGER_NAME         VARCHAR2(120),
    LEDGER_ID                     NUMBER(18, 0),
    PERIOD_NAME                   VARCHAR2(60) ,
    LEDGER_NAME                   VARCHAR2(120)    NOT NULL,
    EFFECTIVE_PERIOD_NUM          NUMBER(18, 0)    NOT NULL,
    FIRST_EFFECTIVE_PERIOD_NUM    NUMBER(18, 0)    NOT NULL,
    START_DATE                    DATE             NOT NULL,
    END_DATE                      DATE             NOT NULL,
    ROW_TYPE_CODE                 VARCHAR2(120)    NOT NULL,
    SECONDARY_LEDGER_ID           NUMBER(18, 0),
    SECONDARY_LEDGER_NAME         VARCHAR2(120),
    CONSTRAINT pk_gl_purge_validation_gt PRIMARY KEY (LEDGER_ID, PERIOD_NAME, LEDGER_ID, PERIOD_NAME)
);
